import vrml.Event;
import vrml.field.SFNode;
import vrml.field.SFRotation;
import vrml.field.SFVec3f;
import vrml.node.Node;
import vrml.node.Script;

public class blur2 extends Script {
   private SFVec3f setTranslation;
   private SFVec3f setScale;
   private SFRotation setRotation;
   private float[] translation = new float[3];
   private float[] scale = new float[3];
   private float[] rotation = new float[4];
   private Node realobj;

   public void initialize() {
      this.setTranslation = (SFVec3f)((Script)this).getEventOut("setTranslation");
      this.setScale = (SFVec3f)((Script)this).getEventOut("setScale");
      this.setRotation = (SFRotation)((Script)this).getEventOut("setRotation");
      this.realobj = (Node)((SFNode)((Script)this).getField("realobj")).getValue();
      ((SFVec3f)this.realobj.getExposedField("translation")).getValue(this.translation);
      ((SFVec3f)this.realobj.getExposedField("scale")).getValue(this.scale);
      ((SFRotation)this.realobj.getExposedField("rotation")).getValue(this.rotation);
   }

   public void processEvent(Event var1) {
      if (var1.getName().equals("interval")) {
         this.setTranslation.setValue(this.translation);
         this.setScale.setValue(this.scale);
         this.setRotation.setValue(this.rotation);
         ((SFVec3f)this.realobj.getExposedField("translation")).getValue(this.translation);
         ((SFVec3f)this.realobj.getExposedField("scale")).getValue(this.scale);
         ((SFRotation)this.realobj.getExposedField("rotation")).getValue(this.rotation);
      }

   }
}
